summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-09-15 23:41:53 -0400
committerTim Harder <radhermit@gentoo.org>2016-09-15 23:41:53 -0400
commitbe2cd0e003cbbc2fdb4b38ad6693c81de48203c6 (patch)
tree4b99975085b43ba0a07e7f7b7ddd6deba546f32e /net-fs/btfs
parentgames-simulation/searchandrescue: remove deprecated games eclass (diff)
downloadgentoo-be2cd0e003cbbc2fdb4b38ad6693c81de48203c6.tar.gz
gentoo-be2cd0e003cbbc2fdb4b38ad6693c81de48203c6.tar.bz2
gentoo-be2cd0e003cbbc2fdb4b38ad6693c81de48203c6.zip
net-fs/btfs: version bump to 2.12
Diffstat (limited to 'net-fs/btfs')
-rw-r--r--net-fs/btfs/Manifest1
-rw-r--r--net-fs/btfs/btfs-2.12.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/net-fs/btfs/Manifest b/net-fs/btfs/Manifest
index 09f67ef2aba..1f03490d4cb 100644
--- a/net-fs/btfs/Manifest
+++ b/net-fs/btfs/Manifest
@@ -1 +1,2 @@
DIST btfs-2.11.tar.gz 21636 SHA256 7c15001e6206c5c28350df0e1609ab10cd7e1578908f46eb334d3b41634a8ba8 SHA512 3b185139692525b59fb3981bcd1a9645fedb3a7acf8709fd0d4c4233b1598cc247263f8935801ed448c358e2c7aba1cc845725f8ec07d3498cd4f81d0d4e6ab0 WHIRLPOOL 03ed85a4858fef2f87eb5c873bb2b5ebb3ec34657239b96481e7c9b20c7cb361988431b1af0a1df1ad2fc92cfb41bfd113dc96b6d7a57e03b52d292fbf7e6215
+DIST btfs-2.12.tar.gz 21738 SHA256 cffa14795994b9f7d6548e4f535aac97506a3a4cf8751cdba337a5ad3c96539d SHA512 1f0b23b363e4eba9d2f97f37a43c1b042acff4a59d0e9f0c4c6c99c2a84d885580f3e0253d0e1f6ab4e0fb2b549af957f5c23aa29834e2ea20174b7e68d0b360 WHIRLPOOL 0010b3884acb578befa9d556039665edf72beef28a5bae907fecf002f081468db3276408119ae58a30c50e7cb762ef657815c67179ef832cacbb45a4572098ac
diff --git a/net-fs/btfs/btfs-2.12.ebuild b/net-fs/btfs/btfs-2.12.ebuild
new file mode 100644
index 00000000000..dc254f5c53b
--- /dev/null
+++ b/net-fs/btfs/btfs-2.12.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit autotools python-r1
+
+DESCRIPTION="a bittorrent filesystem based on FUSE"
+HOMEPAGE="https://github.com/johang/btfs"
+SRC_URI="https://github.com/johang/btfs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+CDEPEND=">=sys-fs/fuse-2.8.0
+ >=net-misc/curl-7.22.0
+ dev-libs/boost:=
+ >=net-libs/rb_libtorrent-0.16.0:="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ ${PYTHON_DEPS}"
+
+src_prepare() {
+ default
+
+ # don't install btplay via make
+ sed -i '/^SUBDIRS =/s/scripts//' Makefile.am || die
+
+ eautoreconf
+}
+
+src_install() {
+ default
+ python_foreach_impl python_doscript scripts/btplay
+}